Bug 1141457 - Invalid date format error when editing a Google contact
Summary: Invalid date format error when editing a Google contact
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libgdata
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-13 19:00 UTC by Tim Waugh
Modified: 2014-09-27 09:51 UTC (History)
7 users (show)

Fixed In Version: gnome-clocks-3.13.92-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-27 09:51:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 732809 None None None Never

Description Tim Waugh 2014-09-13 19:00:54 UTC
Description of problem:
When trying to modify a contact's detail I get this error:

Error modifying contact

Invalid request URI or header, or unsupported nonstandard parameter: <?xml version="1.0" encoding="UTF-8"?>
<errors xmlns="http://schemas.google.com/g/2005">
 <error>
  <domain>GData</domain>
  <code>invalid</code>
  <internalReason>Invalid value for: Invalid format: "2014-04-05T23:52:08Z" is malformed at "Z"</internalReason>
 </error>
</errors>

Version-Release number of selected component (if applicable):
evolution-3.12.6-1.fc21.x86_64
evolution-data-server-3.12.6-1.fc21.x86_64
gnome-online-accounts-3.13.91-1.fc21.x86_64

How reproducible:
100%

Steps to Reproduce:
1.In Evolution, select 'Contacts'
2.Choose 'Contacts' from a gmail account
3.Edit a contact's details and click Save

Actual results:
Error dialog.

Expected results:
Should modify the contact.

Additional info:
I have a Google account set up in gnome-online-accounts, with 'Contacts' set to On.

Comment 1 Milan Crha 2014-09-15 06:43:15 UTC
Thanks for a bug report. That is a libgdata issue, as is described here:
https://bugzilla.gnome.org/show_bug.cgi?id=732809

I suggest to backport the change to libgdata (I'm not its maintainer).

Comment 2 Fedora Update System 2014-09-21 13:55:04 UTC
gnome-clocks-3.13.92-1.fc21, gnome-dictionary-3.13.92-3.fc21, libchamplain-0.12.9-1.fc21, libgdata-0.16.0-1.fc21, orca-3.13.92-1.fc21, accerciser-3.13.92-1.fc21, anjuta-3.13.92-1.fc21, appstream-0.7.1-1.fc21, appstream-data-21-13.fc21, at-spi2-core-2.13.92-1.fc21, bijiben-3.13.92-1.fc21, brasero-3.11.4-2.fc21, caribou-0.4.15-1.fc21, cheese-3.13.92-1.fc21, clutter-1.19.10-1.fc21, colord-1.2.3-2.fc21, colorhug-client-0.2.2-1.fc21, control-center-3.13.92-1.fc21, devhelp-3.13.92-1.fc21, empathy-3.12.6-1.fc21, eog-3.13.92-1.fc21, eog-plugins-3.13.92-1.fc21, epiphany-3.13.91-1.fc21, evince-3.13.92-1.fc21, file-roller-3.13.92-1.fc21, five-or-more-3.13.92-1.fc21, folks-0.10.0-1.fc21, four-in-a-row-3.13.92-1.fc21, gcr-3.13.91-2.fc21, gdm-3.13.92-1.fc21, glib2-2.41.5-1.fc21, glibmm24-2.41.4-1.fc21, glib-networking-2.41.92-1.fc21, gnome-backgrounds-3.13.92-1.fc21, gnome-boxes-3.13.92-1.fc21, gnome-calculator-3.13.92-1.fc21, gnome-chess-3.13.92-1.fc21, gnome-contacts-3.13.92-1.fc21, gnome-desktop3-3.13.92-1.fc21, gnome-devel-docs-3.13.92-1.fc21, gnome-documents-3.13.92-1.fc21, gnome-initial-setup-3.13.7-1.fc21, gnome-keyring-3.13.91-1.fc21, gnome-logs-3.13.92-1.fc21, gnome-mahjongg-3.13.92-1.fc21, gnome-maps-3.13.92-1.fc21, gnome-mines-3.13.92-1.fc21, gnome-music-3.13.92-1.fc21, gnome-nibbles-3.13.92-1.fc21, gnome-online-accounts-3.13.92-1.fc21, gnome-packagekit-3.13.92-1.fc21, gnome-photos-3.13.92-1.fc21, gnome-robots-3.13.92-1.fc21, gnome-screenshot-3.13.92-1.fc21, gnome-settings-daemon-3.13.92-1.fc21, gnome-shell-3.13.92-1.fc21, gnome-shell-extensions-3.13.92-1.fc21, gnome-software-3.13.92-2.fc21, gnome-sound-recorder-3.14-1.fc21, gnome-sudoku-3.13.92-1.fc21, gnome-system-monitor-3.13.92-1.fc21, gnome-terminal-3.13.92-1.fc21, gnome-tetravex-3.13.92-1.fc21, gnome-user-docs-3.13.92-1.fc21, gnome-user-share-3.13.91-1.fc21, gnome-weather-3.13.92-1.fc21, gtk3-3.13.9-1.fc21, gtkmm30-3.13.8-1.fc21, gtksourceview3-3.13.91-1.fc21, gvfs-1.21.92-1.fc21, hitori-3.13.92-1.fc21, inkscape-0.48.5-2.fc21, libgdl-3.13.92-1.fc21, libgee-0.15.92-1.fc21, libgexiv2-0.10.2-1.fc21, libgit2-glib-0.0.22-1.fc21, libgweather-3.13.92-1.fc21, libhif-0.1.4-1.fc21, libinput-0.6.0-2.fc21, librsvg2-2.40.4-1.fc21, libsecret-0.18-5.fc21, libsigc++20-2.4.0-1.fc21, libsoup-2.47.92-1.fc21, lightsoff-3.13.92-1.fc21, mm-common-0.9.7-1.fc21, mutter-3.13.92-1.fc21.1, nautilus-3.13.92-1.fc21, PackageKit-1.0.0-2.fc21, polari-3.13.92-1.fc21, pygobject3-3.13.92-1.fc21, quadrapassel-3.13.92-1.fc21, simple-scan-3.13.92-1.fc21, sound-juicer-3.13.92-1.fc21, swell-foop-3.13.92-1.fc21, tali-3.13.92-1.fc21, vala-0.25.4-1.fc21, vinagre-3.13.92-1.fc21, vte291-0.38.0-1.fc21, weston-1.5.91-2.fc21, xorg-x11-drv-libinput-0.1.2-3.fc21, yelp-3.13.92-1.fc21, yelp-xsl-3.13.92-1.fc21, zenity-3.13.92-1.fc21, gnome-tweak-tool-3.13.92-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2014-11133/accerciser-3.13.92-1.fc21,anjuta-3.13.92-1.fc21,appstream-0.7.1-1.fc21,appstream-data-21-13.fc21,at-spi2-core-2.13.92-1.fc21,bijiben-3.13.92-1.fc21,brasero-3.11.4-2.fc21,caribou-0.4.15-1.fc21,cheese-3.13.92-1.fc21,clutter-1.19.10-1.fc21,colord-1.2.3-2.fc21,colorhug-client-0.2.2-1.fc21,control-center-3.13.92-1.fc21,devhelp-3.13.92-1.fc21,empathy-3.12.6-1.fc21,eog-3.13.92-1.fc21,eog-plugins-3.13.92-1.fc21,epiphany-3.13.91-1.fc21,evince-3.13.92-1.fc21,file-roller-3.13.92-1.fc21,five-or-more-3.13.92-1.fc21,folks-0.10.0-1.fc21,four-in-a-row-3.13.92-1.fc21,gcr-3.13.91-2.fc21,gdm-3.13.92-1.fc21,glib2-2.41.5-1.fc21,glibmm24-2.41.4-1.fc21,glib-networking-2.41.92-1.fc21,gnome-backgrounds-3.13.92-1.fc21,gnome-boxes-3.13.92-1.fc21,gnome-calculator-3.13.92-1.fc21,gnome-chess-3.13.92-1.fc21,gnome-clocks-3.13.92-1.fc21,gnome-contacts-3.13.92-1.fc21,gnome-desktop3-3.13.92-1.fc21,gnome-devel-docs-3.13.92-1.fc21,gnome-dictionary-3.13.92-3.fc21,gnome-documents-3.13.92-1.fc21,gnome-initial-setup-3.13.7-1.fc21,gnome-keyring-3.13.91-1.fc21,gnome-logs-3.13.92-1.fc21,gnome-mahjongg-3.13.92-1.fc21,gnome-maps-3.13.92-1.fc21,gnome-mines-3.13.92-1.fc21,gnome-music-3.13.92-1.fc21,gnome-nibbles-3.13.92-1.fc21,gnome-online-accounts-3.13.92-1.fc21,gnome-packagekit-3.13.92-1.fc21,gnome-photos-3.13.92-1.fc21,gnome-robots-3.13.92-1.fc21,gnome-screenshot-3.13.92-1.fc21,gnome-settings-daemon-3.13.92-1.fc21,gnome-shell-3.13.92-1.fc21,gnome-shell-extensions-3.13.92-1.fc21,gnome-software-3.13.92-2.fc21,gnome-sound-recorder-3.14-1.fc21,gnome-sudoku-3.13.92-1.fc21,gnome-system-monitor-3.13.92-1.fc21,gnome-terminal-3.13.92-1.fc21,gnome-tetravex-3.13.92-1.fc21,gnome-tweak-tool-3.13.92-1.fc21,gnome-user-docs-3.13.92-1.fc21,gnome-user-share-3.13.91-1.fc21,gnome-weather-3.13.92-1.fc21,gtk3-3.13.9-1.fc21,gtkmm30-3.13.8-1.fc21,gtksourceview3-3.13.91-1.fc21,gvfs-1.21.92-1.fc21,hitori-3.13.92-1.fc21,inkscape-0.48.5-2.fc21,libchamplain-0.12.9-1.fc21,libgdata-0.16.0-1.fc21,libgdl-3.13.92-1.fc21,libgee-0.15.92-1.fc21,libgexiv2-0.10.2-1.fc21,libgit2-glib-0.0.22-1.fc21,libgweather-3.13.92-1.fc21,libhif-0.1.4-1.fc21,libinput-0.6.0-2.fc21,librsvg2-2.40.4-1.fc21,libsecret-0.18-5.fc21,libsigc++20-2.4.0-1.fc21,libsoup-2.47.92-1.fc21,lightsoff-3.13.92-1.fc21,mm-common-0.9.7-1.fc21,mutter-3.13.92-1.fc21.1,nautilus-3.13.92-1.fc21,orca-3.13.92-1.fc21,PackageKit-1.0.0-2.fc21,polari-3.13.92-1.fc21,pygobject3-3.13.92-1.fc21,quadrapassel-3.13.92-1.fc21,simple-scan-3.13.92-1.fc21,sound-juicer-3.13.92-1.fc21,swell-foop-3.13.92-1.fc21,tali-3.13.92-1.fc21,vala-0.25.4-1.fc21,vinagre-3.13.92-1.fc21,vte291-0.38.0-1.fc21,weston-1.5.91-2.fc21,xorg-x11-drv-libinput-0.1.2-3.fc21,yelp-3.13.92-1.fc21,yelp-xsl-3.13.92-1.fc21,zenity-3.13.92-1.fc21

Comment 3 Fedora Update System 2014-09-27 09:51:51 UTC
gnome-clocks-3.13.92-1.fc21, gnome-dictionary-3.13.92-3.fc21, libchamplain-0.12.9-1.fc21, libgdata-0.16.0-1.fc21, orca-3.13.92-1.fc21, accerciser-3.13.92-1.fc21, anjuta-3.13.92-1.fc21, appstream-0.7.1-1.fc21, appstream-data-21-13.fc21, at-spi2-core-2.13.92-1.fc21, bijiben-3.13.92-1.fc21, brasero-3.11.4-2.fc21, caribou-0.4.15-1.fc21, cheese-3.13.92-1.fc21, clutter-1.19.10-1.fc21, colord-1.2.3-2.fc21, colorhug-client-0.2.2-1.fc21, control-center-3.13.92-1.fc21, devhelp-3.13.92-1.fc21, empathy-3.12.6-1.fc21, eog-3.13.92-1.fc21, eog-plugins-3.13.92-1.fc21, epiphany-3.13.91-1.fc21, evince-3.13.92-1.fc21, file-roller-3.13.92-1.fc21, five-or-more-3.13.92-1.fc21, folks-0.10.0-1.fc21, four-in-a-row-3.13.92-1.fc21, gcr-3.13.91-2.fc21, gdm-3.13.92-1.fc21, glib2-2.41.5-1.fc21, glibmm24-2.41.4-1.fc21, glib-networking-2.41.92-1.fc21, gnome-backgrounds-3.13.92-1.fc21, gnome-boxes-3.13.92-1.fc21, gnome-calculator-3.13.92-1.fc21, gnome-chess-3.13.92-1.fc21, gnome-contacts-3.13.92-1.fc21, gnome-desktop3-3.13.92-1.fc21, gnome-devel-docs-3.13.92-1.fc21, gnome-documents-3.13.92-1.fc21, gnome-initial-setup-3.13.7-1.fc21, gnome-keyring-3.13.91-1.fc21, gnome-logs-3.13.92-1.fc21, gnome-mahjongg-3.13.92-1.fc21, gnome-maps-3.13.92-1.fc21, gnome-mines-3.13.92-1.fc21, gnome-music-3.13.92-1.fc21, gnome-nibbles-3.13.92-1.fc21, gnome-online-accounts-3.13.92-1.fc21, gnome-packagekit-3.13.92-1.fc21, gnome-photos-3.13.92-1.fc21, gnome-robots-3.13.92-1.fc21, gnome-screenshot-3.13.92-1.fc21, gnome-settings-daemon-3.13.92-1.fc21, gnome-shell-3.13.92-1.fc21, gnome-shell-extensions-3.13.92-1.fc21, gnome-software-3.13.92-2.fc21, gnome-sound-recorder-3.14-1.fc21, gnome-sudoku-3.13.92-1.fc21, gnome-system-monitor-3.13.92-1.fc21, gnome-terminal-3.13.92-1.fc21, gnome-tetravex-3.13.92-1.fc21, gnome-user-docs-3.13.92-1.fc21, gnome-user-share-3.13.91-1.fc21, gnome-weather-3.13.92-1.fc21, gtk3-3.13.9-1.fc21, gtkmm30-3.13.8-1.fc21, gtksourceview3-3.13.91-1.fc21, gvfs-1.21.92-1.fc21, hitori-3.13.92-1.fc21, inkscape-0.48.5-2.fc21, libgdl-3.13.92-1.fc21, libgee-0.15.92-1.fc21, libgexiv2-0.10.2-1.fc21, libgit2-glib-0.0.22-1.fc21, libgweather-3.13.92-1.fc21, libhif-0.1.4-1.fc21, libinput-0.6.0-2.fc21, librsvg2-2.40.4-1.fc21, libsecret-0.18-5.fc21, libsigc++20-2.4.0-1.fc21, libsoup-2.47.92-1.fc21, lightsoff-3.13.92-1.fc21, mm-common-0.9.7-1.fc21, mutter-3.13.92-1.fc21.1, nautilus-3.13.92-1.fc21, PackageKit-1.0.0-2.fc21, polari-3.13.92-1.fc21, pygobject3-3.13.92-1.fc21, quadrapassel-3.13.92-1.fc21, simple-scan-3.13.92-1.fc21, sound-juicer-3.13.92-1.fc21, swell-foop-3.13.92-1.fc21, tali-3.13.92-1.fc21, vala-0.25.4-1.fc21, vinagre-3.13.92-1.fc21, vte291-0.38.0-1.fc21, weston-1.5.91-2.fc21, xorg-x11-drv-libinput-0.1.2-3.fc21, yelp-3.13.92-1.fc21, yelp-xsl-3.13.92-1.fc21, zenity-3.13.92-1.fc21, gnome-tweak-tool-3.13.92-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.